发表文章

[Objective-C] 依赖性大大超过了日期 Dependencies greatly out of date[react-native-barcode-scanner-universal]

derdav3 2017-10-9 63

它安装反应-原 barcodescanner 1.0.1 不工作与 RN > = 0.29

原文:

It installs react-native-barcodescanner 1.0.1 which doesn't work with RN >=0.29

相关推荐
最新评论 (16)
thajay 2017-10-9
1

+1
我刚拿到这个
android 的第一个, 然后变成通用做 ios, 但现在回到 android 它的打破, 因为这个 (旧) 版本不匹配。

响应本机依赖项

  • 版本0.1.4 为反应本机 < = 0.18
  • 版本 1. x. x 为反应本机 > = 0.19
  • 版本 3. x. x 为反应本机 > = 0.25

来源:反应-本机-barcodescanner

愿意帮忙, 我会看一下文件。
反应-本机版本0.32。1

原文:

+1
I just got this.
Did android first, then changed to universal to do ios, but now coming back to android it's broken because of this (old) version mismatch.

React Native dependencies

  • Version 0.1.4 for React Native <=0.18
  • Version 1.x.x for React Native >=0.19
  • Version 3.x.x for React Native >=0.25

source: react-native-barcodescanner

Willing to help, I'll take a look at the files in a bit.
React-native version 0.32.1

derdav3 2017-10-9
2

在0.29 中发生了更改, 这就是安装失败的原因.。在包. json 文件中有一个对分叉版本的依赖性。不知道如何将其更改为较新的版本 (如 3.0)

原文:

there were breaking changes in 0.29, that's why the installation fails.. in the package.json file there's a dependency to a forked version.. no idea how to change that to a newer release (e.g. 3.0)

thajay 2017-10-9
3

如果这是不容易/快, 我只会做 .ios.js.android.js 文件, 并实现 react-native-camera 自己毕竟。

原文:

if this is not easy / fast I will just make .ios.js and .android.js files and implement react-native-camera myself after all.

derdav3 2017-10-9
4

它应该很容易-我会尝试在几个小时。首先需要修复某物

原文:

It should be very easy - I'll try in a few hours.. need to fix sth else first

derdav3 2017-10-9
5

@ThaJay我更新了依赖性。因此, 这应该安装新版本的两个:
npm 安装 derdav3/react-native-barcode-scanner-universal

但不是在所有测试。

原文:

@ThaJay I updated the dependencies.. so this should install the newest versions from both:
npm install derdav3/react-native-barcode-scanner-universal

but not at all tested..

derdav3 2017-10-9
6

我必须将 rnpm link react-native-barcodescanner 单独链接.....。

原文:

I had to link rnpm link react-native-barcodescanner seperately... just rnpm link weirdly didn't do the trick... will test later

thajay 2017-10-9
7

好, 相当多的速度比我会做它, 因为我没有经验的模块包文件尚未。
我要试一试。你在做公关吗?

原文:

Nice, quite a bit faster than I would have done it as I have no experience with module package files yet.
I'll give it a go. Are you making this a pr?

derdav3 2017-10-9
8

嗯, 如果它真的工作, 为什么不。但考虑到最后的承诺是几个月前, 我怀疑它很快就会被接受
我一般不喜欢等待这些东西, 所以我只是叉

原文:

Hm if it really works why not.. But considering that the last commit is months old I doubt it'll get accepted soon
I generally don't like waiting for these things so I just fork it

derdav3 2017-10-9
9

我在我的末端解决了它并且做了拉扯请求。奇怪的是, barcodescanner 的模块的注册没有自动工作-我不得不手动 (步骤 3), 但这肯定不是一个扫描仪通用的问题。

原文:

I solved it on my end and did a pull request. Strangely the registering of the module of react-native-barcodescanner didn't work automatically - I had to do it manually (Step 3), but this certainly isn't a problem of scanner-universal.

thajay 2017-10-9
10

是的, 似乎在这里工作。我将假设现在它将在 ios 上工作, 以及没有在那边的变化。

查看您的更改, 您更改了这取决于的提交哈希值?是否也可以将其锁定在主版本中, 以便使用次要更新, 如在顶级包中. json 使用 ^?

我记得, 当我实施反应-本机 barcodescanner 的错误。但实际上不是一个问题, 只是一个烦恼。

是的, 这个回购看起来真的死了。如果造物主没有出现, 我会很高兴地继续使用你的叉子, 特别是如果你把它在 npm 和保持它的最新。(如果他这样做, 他可能会告诉我们补丁是什么, 如果仍然需要。

原文:

Yep, seems to work here. I'll assume for now it'll work on ios as well as there haven't been changes on that side.

Looking at your change, you changed the commit hash this depends on? is it also possible to lock it on a main version so minor updates are used, like in a top level package.json using ^?

I remember that bug when I implemented react-native-barcodescanner. But not really a problem indeed, just an annoyance.

and yes this repo looks really dead. Should the creator not show up I'll happily keep using your fork, especially if you put it on npm and keep it up to date. (if he does he could maybe tell us what the patch was for and if it's still needed.)

derdav3 2017-10-9
11

是的, 肯定这是可能的-我编辑它的 pullrequest 相应..。
让我们等几天。如果他不露面我就把它挂起来。

原文:

Yes sure that's possible - I edited it the pullrequest accordingly...
let's wait a few days. if he doesn't show up I'll put it up.

cpunion 2017-10-9
12

感谢@derdav3 @ThaJay进行讨论, 我从未想过有人使用此模块:-)。

感谢@derdav3, 我将检查此问题并测试您的公关。

原文:

Thanks @derdav3 @ThaJay for your discussion, and I never thought someone used this module :-).

Thanks @derdav3, I'll check this problem and test you PR.

cpunion 2017-10-9
13

添加特拉维斯-CI 配置在 add-travis 分支中, 它建立了成功。https://travis-ci.org/cpunion/react-native-barcode-scanner-universal/jobs/159493585 , 需要更多的工作来检测错误。

@derdav3 RN 0.29 + 的问题是什么?在 iOS 还是 Android 上?我们的项目使用 RN 0.30, 并工作正常。

原文:

Add Travis-CI configuration in add-travis branch, it built success. https://travis-ci.org/cpunion/react-native-barcode-scanner-universal/jobs/159493585 , need more works to detect errors.

@derdav3 what is the problem on RN 0.29+? on iOS or Android? Our project used it with RN 0.30, and works fine.

derdav3 2017-10-9
14

@cpunion嗯, 我不知道, 如果它只是一个错误的安装反应-本土-barcodescanner。我从我的叉子安装了较新的版本, 然后更正了安装。也许没有更新也能奏效。随时关闭

原文:

@cpunion Hm I don't know if it only was the wrong installation of react-native-barcodescanner. I installed the newer versions from my fork and then corrected the installation. Maybe just as well works without the update. feel free to close

cpunion 2017-10-9
15

感谢@derdav3 , 如果可以重现, 请随时重新打开。我将测试您的 PR, 以便以后升级依赖库。

原文:

Thanks @derdav3 , feel free to reopen if you can reproduce. I will test your PR to upgrade dependency libraries later.

thajay 2017-10-9
16

干得好!
我只有版本不匹配, 所以在这方面所有好。

原文:

Great work!
I only had the version mismatch, so all good on this side.

返回
发表文章
derdav3
文章数
2
评论数
10
注册排名
20592